/*
	file: kana.js
	modified last: 07-28-2018
	copyright: copyright 2009-2018 BigTime Interactive
	author: Volkhvy
	e-mail: volkhvy@stonedragonpress.com
	requires: browser.js
*/

	var flgRomaji = 0;
	var ndxChar = 0;
	var rayKana = new Array();
	var rayRomaji = new Array();

	function displayKana() {
		var strKana = "";
		var strRomaji = "";
		for (cnt1 = 0; cnt1 < ndxChar; cnt1++) {
			strKana += rayKana[cnt1];
			strRomaji += rayRomaji[cnt1];
		}
		if (flgIE5) { // IExplorer 5
			if (flgRomaji == 0) {
				document.idForm1.idText1.value = unescape(strKana);
			} else if (flgRomaji == 1) {
				document.idForm1.idText1.value = strKana;
			} else if (flgRomaji == 2) {
				document.idForm1.idText1.value = unescape(strRomaji);
			}
		} else if (flgIEID || flgMoz) { // IExplorer 6+ or Mozilla
			if (flgRomaji == 0) {
				document.idForm1.idText1.value = unescape(strKana);
			} else if (flgRomaji == 1) {
				var ray1 = strKana.split("%u");
				var str1 = "";
				for (cnt1 = 1; cnt1 < ray1.length; cnt1++) {
					if (ray1[cnt1] == "000a") {
						str1 += "\n";
					} else {
						str1 += "\&\#x" + ray1[cnt1] + ";";
					}
				}
				document.idForm1.idText1.value = str1;
			} else if (flgRomaji == 2) {
				document.idForm1.idText1.value = unescape(strRomaji);
			}
		}
	} // end of function

	function selectKana(strPhonetic, strUnicode1, strUnicode2) {
		var str1 = "";
		if (strPhonetic == "linefeed") {
			rayKana[ndxChar] =  "%u000a";
			rayRomaji[ndxChar] = "\n";
			ndxChar++;
		} else if (strPhonetic == "backspace") {
			ndxChar--;
			rayKana[ndxChar] =  "";
			rayRomaji[ndxChar] = "";
		} else {
			rayRomaji[ndxChar] = strPhonetic;
			if (strUnicode2 == "") {
				rayKana[ndxChar] = "%u" + strUnicode1;
			} else {
				rayKana[ndxChar] = "%u" + strUnicode1 + "%u" + strUnicode2;
			}
			ndxChar++;
		}
		displayKana();
	} // end of function

	function selectClear() {
		for (cnt1 = 0; cnt1 < rayKana.length; cnt1++) {
			rayRomaji[cnt1] = "";
			rayKana[cnt1] = "";
		}
		displayKana();
	} // end of function

	function toggleDisplay() {
		if (flgRomaji == 0) {
			flgRomaji = 1;
			document.idGrfx0.src = rayImg0[1].src;
			document.idGrfx1.src = rayImg1[1].src;
			document.idGrfx2.src = rayImg2[1].src;
		} else if (flgRomaji == 1) {
			flgRomaji = 2;
			document.idGrfx0.src = rayImg0[2].src;
			document.idGrfx1.src = rayImg1[2].src;
			document.idGrfx2.src = rayImg2[2].src;
		} else if (flgRomaji == 2) {
			flgRomaji = 0;
			document.idGrfx0.src = rayImg0[0].src;
			document.idGrfx1.src = rayImg1[0].src;
			document.idGrfx2.src = rayImg2[0].src;
		}
		displayKana();
	} // end of function

	function shiftKeyboard(strKeyboard) {
		if (strKeyboard == "hiragana") {
			showHideDiv("show", "idDiv0");
			showHideDiv("hide", "idDiv1");
			showHideDiv("hide", "idDiv2");
		} else if (strKeyboard == "katakana") {
			showHideDiv("show", "idDiv1");
			showHideDiv("hide", "idDiv0");
			showHideDiv("hide", "idDiv2");
		} else if (strKeyboard == "foreign") {
			showHideDiv("show", "idDiv2");
			showHideDiv("hide", "idDiv0");
			showHideDiv("hide", "idDiv1");
		}
	} // end of function
